Tutorial

The goal of this tutorial is to introduce you to the wasm-pack workflow.

This tutorial is aimed at folks who are both beginners to WebAssembly and Rust- you don't need much Rust knowledge to complete this tutorial.

Be sure to have done the following before starting:

  1. Install wasm-pack

  2. Read and install the Prerequisites.

    • You'll need Rust, version 1.30 or higher. (Currently either beta or nightly channels). Learn more.
    • You'll need Node.js and npm installed. You'll also need an npm Account. Learn more.

⚠️ We strongly recommend that you install Node.js using a version manager. You can learn more here.